Skip to content
vocapable.Docs

Change your alert push, quiet hours and mute

PUT
/v1/workspace/contact-center/alert-preferences
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/contact-center/alert-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "push": true, "quiet_start": "example", "quiet_end": "example", "timezone": "example", "muted_until": "2026-04-15T12:00:00Z" }'
Media typeapplication/json
CcAlertPreferencesUpdate
object
expected_revision
required
Expected Revision
integer
push
Push
boolean
default: true
quiet_start
Any of:
string format: time
quiet_end
Any of:
string format: time
timezone
Any of:
string
<= 64 characters
muted_until
Any of:
string format: date-time

Successful Response

Media typeapplication/json
CcAlertPreferences
object
revision
required
Revision
integer
push
Push
boolean
default: true
quiet_start
Any of:
string format: time
quiet_end
Any of:
string format: time
timezone
Any of:
string
<= 64 characters
muted_until
Any of:
string format: date-time
Example
{
"push": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}